#!/bin/bash
# test_sgd_compilation_and_grub_compilation.sh - Compiles grub and if succesful tests super grub disk
#   Copyright (C) 2007 Adrian Gibanel Lopez
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

source ./sgrub_configure.sh

MAGIC_VARIABLE_SGD="../dev_sgd"

# We have to generate the fs in ../test_fs
FIRST_PWD=`pwd`;
if cd ${MAGIC_VARIABLE_SGD} ; then
echo -e "GREAT!: We can cd to ../dev_sgd.\n";
else
echo -e "ERROR: We cannot cd to ../dev_sgd. Check why! Maybe not running the script from dev_grub folder?\n";
exit 1;
fi

if ./build_cdrom_fs.sh ; then
echo -e "GREAT!: Cdrom filesystem test folder was successfully generated.\n";
else
echo -e "ERROR: Something went wrong with generating the Cdrom filesystem test folder.\n";
exit 1;
fi

if cd $FIRST_PWD ; then
echo -e "GREAT!: We can cd to ${FIRST_PWD}\n";
else
echo -e "ERROR: We cannot cd to ${FIRST_PWD}.This is really weird!\n";
exit 1;
fi

if ./test_sgd_only_grub_update.sh ; then
echo -e "GREAT!: Update of grub binaries and test in qemu went ok.\n";
else
echo -e "ERROR: Something went wrong with the update of grub binaries and test in qemu.\n";
exit 1;
fi
# we update compiled files
# Generate the iso
# Simulate it with qemu
# Delete the iso

echo -e "WELLDONE!: $0 script finished without any error!\n";
exit 0;