#!/bin/bash
# test_sgd_only_grub_update.sh - We update grub files and test super grub disk with them.
#   Copyright (C) 2007 Adrian Gibanel Lopez
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

# We already have the fs in ../test_fs
# We compile for make efective changes in grub source code
# we update compiled files
# Generate the iso
# Simulate it with qemu
# Delete the iso

source ./sgrub_configure.sh

MAGIC_VARIABLE_SGD="../dev_sgd"

if ./smart_grub_compile.sh ; then
echo -e "GREAT!: Smart grub compile was ok.\n"
else
echo -e "ERROR: Smart grub compile failed.\n"
exit 1;
fi

if cp stage2/stage2_eltorito ${FS_TARGET}/boot/grub/stage2_eltorito ; then
echo -e "GREAT!: stage2_eltorito file was correctly copied to the test folder. We continue with the testing\n";
else
echo -e "ERROR: We could not copy stage2_eltorito file to the test folder. Check permissions.\n";
exit 1;
fi

cd "$MAGIC_VARIABLE_SGD"
if ./test_cdrom_with_qemu_from_fs.sh ; then
echo -e "GREAT!: Test cdrom with qemu was ok\n";
else
echo -e "ERROR: Test cdrom with qemu was NOT ok\n";
exit 1;
fi

#Everything went ok if we're here.
echo -e "WELLDONE!: test_sgd_only_grub_update.sh script finished without any error!\n";
exit 0;