#!/bin/bash
# update_dev_sgd_grub_binaries.sh - Update the super grub disk binaries with the ones generated by grub.
#   Copyright (C) 2007 Adrian Gibanel Lopez
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 


# We already have other binaries in ../dev_sgd
# We compile for make efective changes in grub source code
# we update compiled files
# Generate the iso
# Simulate it with qemu
# Delete the iso

source ./sgrub_configure.sh

MAGIC_VARIABLE_ROOT=".."

GRUB_BINARIES_TO_COPY="stage2/*stage1_5 stage2/stage2 stage2/stage2_eltorito stage1/stage1"


if ./smart_grub_compile.sh ; then
echo -e "GREAT!: Smart grub compile was ok.\n"
else
echo -e "ERROR: Smart grub compile failed.\n"
exit 1;
fi
if cp $GRUB_BINARIES_TO_COPY ${MAGIC_VARIABLE_ROOT}/boot/grub/ ; then
echo -e "GREAT!:\n";
ls $GRUB_BINARIES_TO_COPY;
echo -e "The above files were copied to ${MAGIC_VARIABLE_ROOT}/boot/grub/\n";
else
echo -e "ERROR: We could not copy\n";
ls $GRUB_BINARIES_TO_COPY;
echo -e "files to ${MAGIC_VARIABLE_ROOT}/boot/grub/\n";
exit 1;
fi
echo -e "WELLDONE!: update_dev_sgd_grub_binaries.sh script finished without any error!\n";
exit 0;
