
/* Prototypes for allowing straightfoward calling of builtins functions
   inside other functions.  */
static int configfile_func (char *arg, int flags);
static int real_root_func (char *arg, int flags);


/* back */
static int
back_func (char *arg, int flags)
{

	// RESTORE VALUES
	menu_entries=up_menu_entries;
	config_entries=up_config_entries;
	num_entries=up_num_entries;
	heap = up_heap;
	entryno = up_entryno;
	cur_entry=up_cur_entry;
	first_entry = up_first_entry;
	config_len = up_config_len;
	menu_len = up_menu_len;
  	// Restore configfile
	memmove(config_file, up_config_file,128);
	call_is_run=0;
  
  return 0;
}

static struct builtin builtin_back =
{
  "back",
  back_func,
  BUILTIN_CMDLINE | BUILTIN_HELP_LIST,
  "back",
  "Continue execution where we called CALL command."
};

/* call */
static int
call_func (char *arg, int flags)
{

      up_config_entries=config_entries; // Backup
      grub_memmove (menu_entries + menu_len, config_entries, config_len);
      config_entries=menu_entries + menu_len;
      // LETS COPY MENU_ENTRIES downside all the config_entries and menu_entries and now config_entries again
      up_menu_entries=menu_entries; // Backup;
      grub_memmove (config_entries + config_len, menu_entries, menu_len);
      menu_entries = config_entries + config_len;

	up_num_entries=num_entries;
	up_heap = heap;
	up_entryno = entryno;
	up_cur_entry = cur_entry;
        up_first_entry = first_entry;
	up_config_len = config_len;
	up_menu_len = menu_len;
	// Backup configfile
	memmove(up_config_file, config_file,128);

// NEXT CODE IS EQUIVALENT TO CONFIGFILE command

  char *new_config = config_file;

  /* Check if the file ARG is present.  */
  if (! grub_open (arg))
    return 1;

  grub_close ();
  
  /* Copy ARG to CONFIG_FILE.  */
  while ((*new_config++ = *arg++) != 0)
    ;

#ifdef GRUB_UTIL
  /* Force to load the configuration file.  */
  use_config_file = 1;
#endif

  /* Make sure that the user will not be authoritative.  */
  auth = 0;
  call_is_run = 1;
  /* Restart cmain.  */
  grub_longjmp (restart_env, 0);

  /* Never reach here.  */
  return 0;
}

static struct builtin builtin_call =
{
  "call",
  call_func,
  BUILTIN_CMDLINE | BUILTIN_HELP_LIST,
  "call FILE",
  "Load FILE as the configuration file and return to current execution when back command is called."
};

