#!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

set -x
set -v


usage()
{
        cat <<EOF

No options: Builds the release in release folder

options:
        -h, --help      print this message and exit

EOF
        exit 1
}


build_the_release () {

echo "Deleting release folder"
rm -Rf "$MAGIC_RELEASE"
echo "Regenerating release folder"
mkdir "$MAGIC_RELEASE"

echo "Trying to build Floppies"
if ! ./make_sgd.sh floppies ; then
	echo "Floppies creation made an error but build of release continues"
else
	echo "Floppies creation was successful."
fi

if ! ./make_sgd.sh usbs ; then
	echo "USBs creation made an error but build of release continues"
else
	echo "USBs creation was successful."
fi

if ! ./make_sgd.sh multilingualiso ; then
	echo "Multilingual cdrom iso creation made an error but build of release continues"
else
	echo "Multilingual cdrom iso was successful."
fi

if ! ./make_source_code.sh ; then
	echo "Source code tar.bz2 creation made an error but build of release continues"
else
	echo "Source code tar.bz2 iso was successful."
fi

echo "Release build finished."

}

##############################################################
#########           MAIN PROGRAM	######################
##############################################################

MAGIC_RELEASE="release"

case "$1" in
        -h | --help)
                usage
                ;;


        *)
		build_the_release
                ;;
esac